@echo off

rem decompress files in extracted folder

if not exist extdec  mkdir  extdec


rem FOR %%i IN (extracted\*.c2) DO ffxtool_v03 -d  "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.c2) DO ffxcxd.exe   "%%i"  "extdec\%%~ni"
FOR %%i IN (extracted\*.c1) DO ffxcxd.exe   "%%i"  "extdec\%%~ni"


rem ffxtool bad decompress on small files - looks like uninicialized buffer (i.e. 0275.ev.c1)
rem original ffxdecode.exe fails often, need test proper decompress manualy
rem if exist extracted\0275.ev.c1   ffxdecode.exe   extracted\0275.ev.c1  extdec\0275.ev
